mui.init({
	pullRefresh: {
		container: '#news',
		down: {
			auto: true,
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
});

var _sliderarticleid;
var _articleid;
var _nowpage;
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		if (window.plus && plus.networkinfo.getCurrentType() === plus.networkinfo.CONNECTION_NONE) {
			plus.nativeUI.toast('似乎已断开与互联网的连接', {
				verticalAlign: 'top'
			});
			return;
		}

		//请求顶部轮播信息 
		mui.getJSONP("http://eqiutanwcf.eqiutan.cn/AppService/ArticlesWCF.svc/app/GetSliderArticles?callback=?", {},
			function(data) {
				plus.nativeUI.closeWaiting();
				var atc = JSON.parse(data);
				if (_sliderarticleid != atc[0].ArticleID) {
					_sliderarticleid = atc[0].ArticleID;
					var str =
						"<div class=\"mui-slider\"><div class=\"mui-slider-group mui-slider-loop\"><div class=\"mui-slider-item mui-slider-item-duplicate\"><a href=\"../p/article.html\">";
					str += "<img src=\"" + atc[atc.length - 1].PicPath + "\"/><p class=\"mui-slider-title\">" + atc[atc.length - 1]
						.ArticleName + "</p></a></div>";
					var bottomstr = "<div class=\"mui-slider-indicator mui-text-right\">";
					mui.each(atc, function(i, item) {
						str += "<div class=\"mui-slider-item";
						str += "\"><a href=\"../p/article.html?aid=" + item.ArticleID + "\"><img src=\"" + item.PicPath +
							"\"/><p class=\"mui-slider-title\">" + item.ArticleName + "</p></a></div>";
						bottomstr += "<div class=\"mui-indicator" + (i == 0 ? " mui-active" : "") + "\"></div>";
					});
					bottomstr += "</div>";
					str += "<div class=\"mui-slider-item mui-slider-item-duplicate\"><a href=\"../p/article.html\">";
					str += "<img src=\"" + atc[0].PicPath + "\"/><p class=\"mui-slider-title\">" + atc[0].ArticleName +
						"</p></a></div>";
					str += "</div>" + bottomstr + "</div>";
					document.getElementById("divSlider").innerHTML = str;
					mui('.mui-slider-item').on('tap', 'a', function() {
						Aclick(this);
					});
					mui("#divSlider").slider({
						interval: 3000
					});
					_nowpage = 1;
				}
			});
		//请求最新列表信息流
		mui.getJSONP("http://eqiutanwcf.eqiutan.cn/AppService/ArticlesWCF.svc/app/GetArticlesPage?callback=?", {
			nowpage: 1
		}, function(data) {
			mui('#news').pullRefresh().endPulldownToRefresh(); //refresh completed
			var atc = JSON.parse(data);
			if (_articleid != atc[0].ArticleID) {
				_articleid = atc[0].ArticleID;
				document.getElementById("divArticleList").innerHTML = "<ul class=\"mui-table-view\">" + GetArticleList(atc) +
					"</ul>";
				mui('.mui-table-view').on('tap', 'a', function() {
					Aclick(this);
				});
				_nowpage = 1;
			}
		});
	}, 1500);
}
var count = 0;
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	_nowpage++;
	setTimeout(function() {
		//请求最新列表信息流
		mui.getJSONP("http://eqiutanwcf.eqiutan.cn/AppService/ArticlesWCF.svc/app/GetArticlesPage?callback=?", {
			nowpage: _nowpage
		}, function(data) {
			if (data.length != null) {
				var atc = JSON.parse(data);
				document.getElementById("divArticleList").childNodes[0].insertAdjacentHTML("beforeend", GetArticleList(atc));
				mui('.mui-table-view').off();
				mui('.mui-table-view').on('tap', 'a', function() {
					Aclick(this);
				});
				mui('#news').pullRefresh().endPullupToRefresh(false);
			} else {
				mui('#news').pullRefresh().endPullupToRefresh(true); //参数为true代表没有更多数据了。
			}
		});
	}, 1500);
}
/**
 * 获取列表
 * */
function GetArticleList(atc) {
	var str = "";
	mui.each(atc, function(i, item) {
		str += "<li class=\"mui-table-view-cell mui-media\"><a href=\"../p/article.html?aid=" + item.ArticleID +
			"\"><img class=\"mui-media-object mui-pull-left\" src=\"" + item.PicPath + "\">";
		str += "<div class=\"mui-media-body\"><div class=\"mui-ellipsis-2\">" + item.ArticleName + "</div></div>";
		str += "<div class=\"meta-info\"><div class=\"author\">" + item.SourceName + "</div><div class=\"time\">" +
			TimeFormat(item.AddTime) + "</div></div></a></li>";
	});
	return str;
}
/**
 * 格式化时间
 */
function TimeFormat(t) {
	var _at = new Date(t);
	var _nt = new Date();
	var _t = _nt - _at;
	var _minutes = _t / 1000 / 60;
	if (_minutes < 10)
		return "刚刚";
	else if (_minutes >= 10 && _minutes < 30)
		return parseInt(_minutes) + "分钟前";
	else
		return (_at.getMonth() + 1) + "-" + _at.getDate() + " " + _at.toLocaleTimeString('chinese', { hour12: false }).substring(0, _at.toLocaleTimeString('chinese', { hour12: false })
			.lastIndexOf(":"));
}
