mui.init({
	pullRefresh: {
		container: '#clubs',
		down: {
			auto: true,
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
});

var _clubid;
var _nowpage;
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		if (window.plus && plus.networkinfo.getCurrentType() === plus.networkinfo.CONNECTION_NONE) {
			plus.nativeUI.toast('似乎已断开与互联网的连接', {
				verticalAlign: 'top'
			});
			return;
		}

		//请求最新列表信息流
		mui.getJSONP("http://eqiutanwcf.eqiutan.cn/AppService/ClubsWCF.svc/app/GetClubsMarketValuePage?callback=?", {
			nowpage: 1
		}, function(data) {
			mui('#clubs').pullRefresh().endPulldownToRefresh();
			if (data.length != null) {
				var clb = JSON.parse(data);
				if (_clubid != clb[0].ClubID) {
					_clubid = clb[0].ClubID;
					document.getElementById("divClubList").innerHTML = "<ul class=\"mui-table-view\">" + GetClubList(clb, 1) +
						"</ul>";
					mui('.mui-table-view').on('tap', 'a', function() {
						Aclick(this);
					});
					_nowpage = 1;
				}
			}
		});
	}, 1500);
}
var count = 0;
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	_nowpage++;
	setTimeout(function() {
		//请求最新列表信息流
		mui.getJSONP("http://eqiutanwcf.eqiutan.cn/AppService/ClubsWCF.svc/app/GetClubsMarketValuePage?callback=?", {
			nowpage: _nowpage
		}, function(data) {
			if (data.length != null) {
				var clb = JSON.parse(data);
				document.getElementById("divClubList").childNodes[0].insertAdjacentHTML("beforeend", GetClubList(clb,
					_nowpage));
				mui('.mui-table-view').off();
				mui('.mui-table-view').on('tap', 'a', function() {
					Aclick(this);
				});
				mui('#clubs').pullRefresh().endPullupToRefresh(false);
			} else {
				mui('#clubs').pullRefresh().endPullupToRefresh(true); //参数为true代表没有更多数据了。
			}
		});
	}, 1500);
}
/**
 * 获取列表
 * */
function GetClubList(clb, nowpage) {
	var _num = (nowpage - 1) * 20; //排名每页基数
	var _str = "";
	mui.each(clb, function(i, item) {
		_str += "<li class=\"mui-table-view-cell mui-media\"><a href=\"../../../p/club.html?cid=" + item.ClubID +
			"\"><div class=\"mui-media-body\"><div class=\"pnum\">#" + (_num + i + 1) +
			"</div></div><div class=\"mui-media-body\"><img class=\"mui-media-object mui-pull-left\" src=\"" + item.LogoPath +
			"\"><div class=\"mui-ellipsis\">" + (item.ClubName != null ? item.ClubName : item.ClubEnglishName) +
			"</div><div class=\"mui-pull-right\">" + item.TotalMarketValueEuro +
			"</div></div><div class=\"mui-media-body\"><div class=\"squad\">阵容:" + (item.SquadCount != null ? item.SquadCount :
				"-") +
			"</div><div class=\"avgage\">平均年龄:" + (item.AverageAge != null ? item.AverageAge : "-") +
			"</div></div><div class=\"mui-media-body divcompetition\"><div class=\"mui-pull-left country\"><div class=\"mui-pull-left\">所属赛事:<img src=\"" +
			item.FlagPicPath + "\"/>" + (item.CompetitionName != null ? item.CompetitionName : item.CompetitionEnglishName) +
			"</div></div></div></a></li>";
	});
	return _str;
}
